<?php
 echo "Entrez un entier ou un réel : " ;
 fscanf(STDIN,"%f",$nb)                ;
 $i=intval($nb)   ;
 $x=floatval($nb) ;
 if ($i == $x)
 {
  echo "Nombre entier".PHP_EOL  ;
 }
 else
 {
  echo "Nombre réel".PHP_EOL                ;
  echo "Partie entière  = ".$i.PHP_EOL      ;
  echo "Partie décimale = ".($x-$i).PHP_EOL ; 
 }
?>
